Package ru.bitel.bgbilling.kernel.admin.web.common.service

# Interface BGWebService

public interface BGWebService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.json.JSONArray`
  `getComponentList()`
  `org.json.JSONArray`
  `getContractSearchModuleList()`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `getIconDirs()`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `getIconFiles(String dirName)`
  `void`
  `setWebMenuIdForContract(int webMenuItemId, int contractId)`
  `boolean`
  `setWebMenuIdForContracts(int webMenuItemId, List<Integer> contractIds)`
  `void`
  `updateContractSearchModuleParams(String className, org.json.JSONArray params)`
  `org.json.JSONObject`
  `webActionOperations()`
  `List<String>`
  `webAuthModeList()`
  `List<BGHandlerParameter>`
  `webLimitHandlerGeneralParameters(String className)`
  `List<BGHandlerParameter>`
  `webLimitHandlerGroupParameters(String className, String groupKey)`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `webLimitHandlers()`
  `List<WebMenuItem>`
  `webMenuContractList(int contractId)`
  `void`
  `webMenuDataDelete(int webMenuItemId)`
  `String`
  `webMenuDataGet(int webMenuItemId)`
  `void`
  `webMenuDataUpdate(int webMenuItemId, String webMenuItemData)`
  `WebMenuItem`
  `webMenuInfoGet(int webMenuItemId)`
  `WebMenuItem`
  `webMenuInfoUpdate(WebMenuItem webMenuItem)`
  `WebMenuModuleItem[]`
  `webMenuKernelItems()`
  `List<WebMenuItem>`
  `webMenuList(boolean loadCount)`
  `WebMenuModuleItem[]`
  `webMenuModuleItems()`
  `WebMenuModuleItem[]`
  `webMenuPluginItems()`

- ## Method Details

  - ### webMenuList

    List<WebMenuItem> webMenuList(boolean loadCount) throws Exception
    Throws:
      `Exception`

  - ### webMenuContractList

    List<WebMenuItem> webMenuContractList(int contractId) throws Exception
    Throws:
      `Exception`

  - ### setWebMenuIdForContract

    void setWebMenuIdForContract(int webMenuItemId, int contractId) throws Exception
    Throws:
      `Exception`

  - ### setWebMenuIdForContracts

    boolean setWebMenuIdForContracts(int webMenuItemId, List<Integer> contractIds) throws Exception
    Throws:
      `Exception`

  - ### webMenuInfoUpdate

    WebMenuItem webMenuInfoUpdate(WebMenuItem webMenuItem) throws Exception
    Throws:
      `Exception`

  - ### webMenuDataUpdate

    void webMenuDataUpdate(int webMenuItemId, String webMenuItemData) throws Exception
    Throws:
      `Exception`

  - ### webMenuInfoGet

    WebMenuItem webMenuInfoGet(int webMenuItemId) throws Exception
    Throws:
      `Exception`

  - ### webMenuDataGet

    String webMenuDataGet(int webMenuItemId) throws Exception
    Throws:
      `Exception`

  - ### webMenuDataDelete

    void webMenuDataDelete(int webMenuItemId) throws Exception
    Throws:
      `Exception`

  - ### webMenuKernelItems

    WebMenuModuleItem[] webMenuKernelItems() throws Exception
    Throws:
      `Exception`

  - ### webMenuModuleItems

    WebMenuModuleItem[] webMenuModuleItems() throws Exception
    Throws:
      `Exception`

  - ### webMenuPluginItems

    WebMenuModuleItem[] webMenuPluginItems() throws Exception
    Throws:
      `Exception`

  - ### webActionOperations

    org.json.JSONObject webActionOperations() throws Exception
    Throws:
      `Exception`

  - ### getIconDirs

    List<ru.bitel.bgbilling.common.model.KeyValue> getIconDirs() throws Exception
    Throws:
      `Exception`

  - ### getIconFiles

    List<ru.bitel.bgbilling.common.model.KeyValue> getIconFiles(String dirName) throws Exception
    Throws:
      `Exception`

  - ### getComponentList

    org.json.JSONArray getComponentList() throws Exception
    Throws:
      `Exception`

  - ### getContractSearchModuleList

    org.json.JSONArray getContractSearchModuleList() throws Exception
    Throws:
      `Exception`

  - ### updateContractSearchModuleParams

    void updateContractSearchModuleParams(String className, org.json.JSONArray params) throws Exception
    Throws:
      `Exception`

  - ### webLimitHandlers

    List<ru.bitel.bgbilling.common.model.KeyValue> webLimitHandlers() throws Exception
    Throws:
      `Exception`

  - ### webLimitHandlerGeneralParameters

    List<BGHandlerParameter> webLimitHandlerGeneralParameters(String className) throws Exception
    Throws:
      `Exception`

  - ### webLimitHandlerGroupParameters

    List<BGHandlerParameter> webLimitHandlerGroupParameters(String className, String groupKey) throws Exception
    Throws:
      `Exception`

  - ### webAuthModeList

    List<String> webAuthModeList() throws Exception
    Throws:
      `Exception`